Subject: =?utf-8?Q?Re:_bug#68930:_30.0.50; __Emacs_conflates_C-=CE=A9_and_C-=CF=89?=

From: Alexander Prähauser <[email-masked]>
Date: Thu, 08 Feb 2024 14:32:15 +0000

"Po Lu" <[email-masked]> writes:

> Alexander Prähauser <[email-masked]> writes:
>
>> "Po Lu" <[email-masked]> writes:
>>
>>> Please do not omit the bug tracker from the carbon copy lists of
>>> replies, or they will not be recorded by the bug tracker.
>>
>> I didn't consciously. Maybe I used Reply instead of Wide Reply.
>>
>>>
>>> Alexander Prähauser <[email-masked]> writes:
>>>
>>>> "Po Lu" <[email-masked]> writes:
>>>>
>>>>> Alexander Prähauser <[email-masked]> writes:
>>>>>
>>>>>> Alright, I re-downloaded Emacs and tried to apply the patch again and
>>>>>> this time it worked. No idea why it didn't before, I had downloaded it
>>>>>> on Monday, I think. Maybe the changes had been too big in-between?
>>>>>
>>>>> No, xterm.c hasn't seen any substantial modifications for months.
>>>>>
>>>>>> Regardless, I should not have doubted your coding abilities. But when I
>>>>>> start Emacs with the patch and type the key combinations, I don't get
>>>>>> any special output, either in the message buffer or in the containing
>>>>>> terminal.
>>>>>
>>>>> Please start Emacs with the following options:
>>>>>
>>>>>   ./emacs -q -xrm 'Emacs.useXIM: off'
>>>>>
>>>>> and tell us if the problem remains.  Thanks.
>>>>
>>>> It works! And just to be sure I tried again without an init and with the
>>>> exact same keybinds but without the last option, and sure enough it
>>>> switched them up again.
>>>
>>> As such, it's your X input method that's alternating between the
>>> upper-case and lower-case forms of certain Greek characters, which is
>>> not in our bailiwick.  Please identify the input method enabled on your
>>> system, so that we can place a meaningful description in PROBLEMS
>>
>> Do you know where I can look up how to find it out?
>
> What is the value of the `XMODIFIERS' environment variable?

When I type $XMODIFIERS it comes out empty and It's not listed when I
use printenv or sudo printenv so I assume it's not set.